GeminiGemini
SandboxGet API key
  • Crypto Trading
  • Prediction Markets
Resources
  • Changelog

© 2026 Gemini Space Station, Inc.

Gemini Crypto Exchange LogoGemini Crypto Exchange Logo
REST APIs
    Orders
    Market Data
    Derivatives
    Margin Trading
    Staking
    Clearing
    Instant Orders
      Get Instant QuoteExecute Instant Order
WebSocket
    AuthenticationMessage Format
    Streams
      Book TickerL2 Partial DepthL2 Differential DepthTrade StreamOrder EventsBalance Updates
    Playground
      Overviewconninfopingtimesubscribeunsubscribelist_subscriptionsdepthorder.placeorder.cancelorder.cancel_allorder.cancel_session
Agentic
FIX
TradingInstant OrdersGet Instant Quote

Get Instant Quote

POSThttps://api.gemini.com/v1/instant/quote

Requests an instant quote for a buy or sell of a supported symbol. The returned quote locks in a price and fee for a short window, which can then be submitted to Execute Instant Order.

POSTv1/instant/quote
curl --request POST \
  --url https://api.gemini.com/v1/instant/quote \
  --header 'Content-Type: application/json' \
  --header 'X-GEMINI-APIKEY: <string>' \
  --header 'X-GEMINI-PAYLOAD: <string>' \
  --header 'X-GEMINI-SIGNATURE: <string>' \
  --data '
{
  "request": "/v1/instant/quote",
  "nonce": "<nonce>",
  "symbol": "btcusd",
  "side": "buy",
  "totalSpend": "100"
}
'

Roles

The API key you use to access this endpoint must have the Trader role assigned. See Roles for more information.

The OAuth scope must have orders:create assigned to access this endpoint. See OAuth Scopes for more information.

Headers

X-GEMINI-APIKEYstring·required
Your API key
X-GEMINI-SIGNATUREstring·required
HEX-encoded HMAC-SHA384 of payload signed with API secret
X-GEMINI-PAYLOADstring·required
Base64-encoded JSON payload
Content-Typestring
Default: text/plain
Content-Lengthstring
Default: 0
Cache-Controlstring
Default: no-cache

Request Body

requeststring·required
The literal string "/v1/instant/quote/"
sidestring·enum·required
"buy" or "sell"Enum values: buysell
symbolstring·required
The [symbol](/market-data/symbols-and-minimums) for the order. Instant includes order books denominated in a [supported currency](https://support.gemini.com/hc/en-us/articles/360000032663-Does-Gemini-support-fiat-currencies-other-than-USD), as `CCY2`
nonceinteger·required
timestampExample: 1495127793000
totalSpendstring·required
Quoted decimal amount to spend on the order. Must comply with [stated minimums](/market-data/symbols-and-minimums). The `totalSpend` will be `CCY2` in `buy` orders and `CCY1` in `sell` orders.
paymentMethodUuidstring
uuid provided as `bankId` in [Payment Methods API](/fund-management#list-payment-methods)
paymentMethodTypestring
Method used to specify payment method in `buy` order. Can be "AccountBalancePaymentType" to use funds available in USD balance held on Gemini, "BankAccountType" to initial an ACH from a linked bank account, or "CardAccountType" to use a linked debit card to fund the purchase.
accountstring
Required for Master API keys as described in [Private API Invocation](/authentication/api-key#private-api-invocation). The name of the account within the subaccount group. Specifies the account on which you intend to place the order. Only available for exchange accounts.
Example request body
{
  "request": "/v1/instant/quote",
  "nonce": "<nonce>",
  "symbol": "btcusd",
  "side": "buy",
  "totalSpend": "100"
}

Responses

Sample Responses

quoteIdinteger
Unique ID for the quote. This is used in the execution of the order
maxAgeMsinteger
Number of milliseconds until this quote price expires. Once expired, you will need to request a new quote
pairstring
The symbol passed in the quote request
pricestring
The quoted price of the asset. This will not change when attempting execution
priceCurrencystring
The currency in which the order is priced. Matches `CCY2` in the symbol
sidestring·enum
Either "buy" or "sell"Enum values: buysell
quantitystring
The quantity of the asset to be bought or sold
quantityCurrencystring
The currency label for the `quantity` field. Matches `CCY1` in the symbol
feestring
The fee quantity to be taken for the order upon execution
feeCurrencystring
The currency label for the order
depositFeestring
The deposit fee quantity. Will be applied if a debit card is used for the order. Will return 0 if there is no `depositFee`
depositFeeCurrencystring
Currency in which `depositFee` is taken
totalSpendstring
Total quantity to spend for the order. Will be the sum inclusive of all fees and amount to be traded.
totalSpendCurrencystring
Currency of the `totalSpend` to be spent on the order
Example Responses
{
  "quoteId": 1328,
  "maxAgeMs": 60000,
  "pair": "BTCUSD",
  "price": "6445.07",
  "priceCurrency": "USD",
  "side": "buy",
  "quantity": "0.01505181",
  "quantityCurrency": "BTC",
  "fee": "2.9900309233",
  "feeCurrency": "USD",
  "depositFee": "0",
  "depositFeeCurrency": "USD",
  "totalSpend": "100",
  "totalSpendCurrency": "USD"
}
PreviousInstant OrdersNextExecute Instant Order
Last modified on April 17, 2026